<template>
    <v-layout-default>
      <div class="bg-white rounded-[20px] relative">
        <v-loading :loading="isLoading" />
        <div
          class="border-b border-[#F3F3F3] py-[19px] px-[28px] font-mm font-bold text-[20px] text-blue-600 flex items-center justify-between"
        >
          <div class="space-x-[13px] flex items-center">
            <fa-icon class="text-2xl" :icon="`fa-address-book`" />
            <h2>Customer Evaluation</h2>
          </div>
          <div class="space-x-[10px] flex items-center">
            <!-- <el-button class="focus:ring-4 font-medium rounded-full text-sm px-5 py-2.5 text-center text-white focus:ring-blue-300 bg-primary hover:bg-primary-80 hover:text-white" @click="onExportList">Export</el-button> -->
            <v-button class="bg-primary hover:bg-primary-80" @click="onExportList"
              >Export</v-button
            >
            <v-button
              class="bg-green-700 hover:bg-green-800"
              @click="onAddCustomer"
              >Create
            </v-button>
          </div>
        </div>
        <div class="p-[19px]">
          <VCustomerEvaluationList :data="data" />
        </div>
      </div>
    </v-layout-default>
  </template>
  
  <script>
  import VLayoutDefault from "@/pages/layout/VLayoutDefault.vue";
  import VCustomerEvaluationList from "@/components/List/VCustomerEvaluationList";
  import VLoading from "@/components/VLoading";
  import VButton from "@/components/VButton/index.vue";
  import { mapGetters } from "vuex";
  import { csvExport } from "@/helpers/exportcsv";
  
  export default {
    name: "v-customer-evaluation-form",
    components: {
      VLayoutDefault,
      VCustomerEvaluationList,
      VLoading,
      VButton,
    },
    computed: {
      ...mapGetters("Project", ["isLoading", "items", "totalRecord"]),
    },
    methods: {
        onAddCustomer() {
        this.$router.push("/customer-evaluation/add");
      },
      onExportList() {
        csvExport(this.items);
      },
    },
  };
  </script>
  